Infrastructure - Story #594

specify public APl and REST interface for CN synchronization service
2010-04-23 00:59 - Matthew Jones

Status: Closed Start date:

Priority: Low Due date:

Assignee: Dave Vieglais % Done: 100%
Category: di_cn_service Estimated time: 0.00 hour
Target version: CCl-0.4

Story Points:

Description

As a developer, | need to specify the public API for the synchronization service so other systems can utilize this service
-- involves specifying each API that is publicly accessible using IDL syntax

-- involves specifying the REST interface for each public method

Note 1: this service may not have a public API at all, as there may be no need for publicly callable methods.

Note 2: the registration service handles getting the list of Member Nodes to be polled, so that is not in scope of this API

History

#1 - 2010-06-01 16:13 - Dave Vieglais

- Status changed from New to In Progress

#2 - 2010-08-04 03:05 - Dave Vieglais

- Status changed from In Progress to Closed

This issue seems to be invalid. There are no publicly facing synch or replication APIs for the CNs.
